group "TradeNotionalChange.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 6 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(changeInNotionalAmount*, outstandingNotionalAmount*) | (changeInNumberOfOptions?, outstandingNumberOfOptions?) | (changeInNumberOfUnits?, outstandingNumberOfUnits?)

Content Model Elements (6):

  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  changeInNumberOfOptions (defined in TradeNotionalChange.model group),
  changeInNumberOfUnits (defined in TradeNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  outstandingNumberOfOptions (defined in TradeNotionalChange.model group),
  outstandingNumberOfUnits (defined in TradeNotionalChange.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  TradeNotionalChange

Annotation
DEPRECATED. A structure describing a change to the trade notional.
XML Source (w/o annotations (7); see within schema source)

<xsd:group fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The model could not provide support for linking notionals with product legs. Also, there was limitation in the existing increase and termination events which don&#8217;t allow the reporting of both change of units or change of notional amount as required for dividend swaps, for example. Instead, sizeChange, should be used." name="TradeNotionalChange.model"> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
changeInNotionalAmount

  Type: | NonNegativeMoney, complex content

  Specifies the fixed amount by which the Notional Amount changes. The direction of the change (increase or decrease) is specified by the event type (Termination => reduction, Increase => greater.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/>

changeInNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the Number of Options changes
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"/>

changeInNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the Number of Units changes
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"/>

outstandingNotionalAmount

  Type: | NonNegativeMoney, complex content

  Specifies the Notional amount after the Change
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"/>

outstandingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Options after the Change.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/>

outstandingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Units
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.